---
title: "Tidstagning"
summary: "A very simple time tracking application written in C#.NET to be used for timing of yachtracing."
date: 2021-07-17T15:10:25+02:00
categories: ["C-Sharp"]
image:
  preview_only: false

links:
 - name: Download
   url: "https://share.jcktrue.dk/Tidstagning_1_1_2_26.zip"
   icon_pack: fas
   icon: download

url_code: "https://code.jcktrue.dk/jct/tidstagning"
---
# Introduction
A very simple time tracking application written in C#.NET. To be used for the timing of sailboat racing.

The user interface is minimalistic and focused on a list of participants. By clicking a row the boat is recorded as having finished with an accurate timestamp to a log file. The log file may then be used for handicap rating calculations at a later time.

Currently, the interface is only available in Danish.

Additionally, the application supports an external USB relay. The relay is toggled on and off to provide signals for the racing boats. This includes a feature to run automatic-start procedures and a signal when each boat crosses the finishing line. 

# Features
 - Stores a detailed log file of each operation in the application.
 - Optional start procedure (Time of day, date also possible for overnight events.)
 - Finishing and retiring with logging and signaling. 
 - Sound signals via USB relay with selectable COM port and signal length.
 - Manual signal activation. (For additional signals or testing purposes.)
 - Import of participants from CSV files.


 # Screenshot
 ![Screenshot](screenshot1.png "Main user interface")

# Improvements
Additional features that may be implemented one day if there is interest or desire.
- Separate configuration interface.
- Support for additional USB relays.
- Support for relays that do not enumate as COM ports. (USB-HID, TCP, UDP etc).
- Import/Export from Manage2Sail
- Internationalization and localization to other languages than Danish.
- Documentation and tooltips in the UI.
- Fuzzy search for large regattas.
- Creation of participants in the application.
- .NET6 support

# Disclaimer
The software is provided free of charge AS IS. Source code not provided. 

# Download
Latest version: Tidstagning 1.1.2.26
{{% callout note %}}
The application requires .NET Framework 4.7.2.
{{% /callout %}}

 {{< cta cta_text="Download" cta_link="https://share.jcktrue.dk/Tidstagning_1_1_2_26.zip" cta_new_tab="false" >}}